Get Agent Case Trigger
curl --request GET \
--url https://api.duvo.ai/v2/agents/{agent_id}/case-triggers/{trigger_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/agents/{agent_id}/case-triggers/{trigger_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/agents/{agent_id}/case-triggers/{trigger_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"case_trigger": {
"id": "<string>",
"agent_id": "<string>",
"case_queue_id": "<string>",
"case_queue_name": "<string>",
"user_id": "<string>",
"enabled": true,
"concurrency": 123,
"created_at": "<string>",
"updated_at": "<string>",
"creator_display_name": "<string>",
"can_disable": true,
"has_conflict": true,
"conflicting_agents": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Case Triggers
Get Agent Case Trigger
Retrieve a single case trigger by id.
GET
/
v2
/
agents
/
{agent_id}
/
case-triggers
/
{trigger_id}
Get Agent Case Trigger
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The agent's unique identifier
The case trigger's unique identifier
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I